Last Comment Bug 1319368 - Remove "browser.newtab.url" from TelemetryEnvironment user prefs
: Remove "browser.newtab.url" from TelemetryEnvironment user prefs
Status: RESOLVED FIXED
[measurement:client] [lang=js] [good ...
:
Product: Toolkit
Classification: Components
Component: Telemetry (show other bugs)
: Trunk
: Unspecified Unspecified
P3 normal (vote)
: mozilla53
Assigned To: Avikalpa Kundu
:
: Georg Fritzsche [:gfritzsche]
Mentors: Chris H-C :chutten
Georg Fritzsche [:gfritzsche]
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-22 01:44 PST by Georg Fritzsche [:gfritzsche]
Modified: 2016-12-10 08:32 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: 1
Has Regression Range: ---
Has STR: ---
fixed


Attachments
Bug 1319368 - Remove "browser.newtab.url" from TelemetryEnvironment user prefs (58 bytes, text/x-review-board-request)
2016-12-01 10:58 PST, Avikalpa Kundu
no flags Details | Review
Bug 1319368 - Remove "browser.newtab.url" from TelemetryEnvironment user prefs (58 bytes, text/x-review-board-request)
2016-12-02 07:30 PST, Avikalpa Kundu
no flags Details | Review
Bug 1319368 - Remove "browser.newtab.url" from TelemetryEnvironment user prefs (58 bytes, text/x-review-board-request)
2016-12-02 10:00 PST, Avikalpa Kundu
no flags Details | Review
Bug 1319368 - Remove "browser.newtab.url" from TelemetryEnvironment user prefs, (58 bytes, text/x-review-board-request)
2016-12-02 10:00 PST, Avikalpa Kundu
no flags Details | Review
Patch for this bug. (615 bytes, patch)
2016-12-02 10:28 PST, Avikalpa Kundu
gfritzsche: review+
Details | Diff | Splinter Review
Bug 1319368 - Remove "browser.newtab.url" from TelemetryEnvironment user prefs r=gfritzsche (615 bytes, patch)
2016-12-05 03:51 PST, Avikalpa Kundu
avikalpakundu: review+
Details | Diff | Splinter Review

Description User image Georg Fritzsche [:gfritzsche] 2016-11-22 01:44:42 PST
The pref "browser.newtab.url" was removed per bug 1118285, we should stop recording it in TelemetryEnvironment too.
Comment 1 User image Georg Fritzsche [:gfritzsche] 2016-11-28 08:46:04 PST
This is the file where it needs to be removed in:
https://dxr.mozilla.org/mozilla-central/source/toolkit/components/telemetry/TelemetryEnvironment.jsm

After removal, we should confirm the tests still run fine:
mach build && mach xpcshell-test toolkit/components/telemetry/tests/unit
Comment 2 User image Avikalpa Kundu 2016-12-01 09:42:08 PST
I have worked on this bug. How to patch and submit for review?
Comment 3 User image Avikalpa Kundu 2016-12-01 10:58:36 PST Comment hidden (mozreview-request)
Comment 4 User image Georg Fritzsche [:gfritzsche] 2016-12-02 06:28:49 PST
Comment on attachment 8816210 [details]
Bug 1319368 - Remove "browser.newtab.url" from TelemetryEnvironment user prefs

https://reviewboard.mozilla.org/r/97000/#review97496

There is an unrelated change in this patch:
> diff --git a/tools/quitter/chrome.manifest b/tools/quitter/chrome.manifest
> old mode 100644
> new mode 100755

Please revert that change, the rest looks good, thanks.
Comment 5 User image Avikalpa Kundu 2016-12-02 07:30:28 PST Comment hidden (mozreview-request)
Comment 6 User image Avikalpa Kundu 2016-12-02 10:00:30 PST Comment hidden (mozreview-request)
Comment 7 User image Avikalpa Kundu 2016-12-02 10:00:30 PST Comment hidden (mozreview-request)
Comment 8 User image Avikalpa Kundu 2016-12-02 10:28:52 PST
Created attachment 8816507 [details] [diff] [review]
Patch for this bug.

Patch for this bug.
Comment 9 User image Georg Fritzsche [:gfritzsche] 2016-12-04 15:40:07 PST
Comment on attachment 8816507 [details] [diff] [review]
Patch for this bug.

Review of attachment 8816507 [details] [diff] [review]:
-----------------------------------------------------------------

This looks good to me!
Can you upload this with a proper commit message?
I.e. "Bug 1319368 - Remove ... r=gfritzsche".
Comment 10 User image Avikalpa Kundu 2016-12-05 03:42:01 PST
Comment on attachment 8816507 [details] [diff] [review]
Patch for this bug.

Bug 1319368 - Remove "browser.newtab.url" from TelemetryEnvironment user prefs r=gfritzsche
Comment 11 User image Avikalpa Kundu 2016-12-05 03:51:19 PST
Created attachment 8816874 [details] [diff] [review]
Bug 1319368 - Remove "browser.newtab.url" from TelemetryEnvironment user prefs r=gfritzsche

Bug 1319368 - Remove "browser.newtab.url" from TelemetryEnvironment user prefs r=gfritzsche
Comment 12 User image Chris H-C :chutten 2016-12-08 11:06:12 PST
Adding checkin-needed so it'll get picked up. Sorry for the delay!
Comment 13 User image Pulsebot 2016-12-09 05:48:25 PST
Pushed by cbook@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/133569bc2317
"Remove "browser.newtab.url" from TelemetryEnvironment user prefs". r=gfritzsche
Comment 14 User image Phil Ringnalda (:philor) 2016-12-10 08:32:14 PST
https://hg.mozilla.org/mozilla-central/rev/133569bc2317

Note You need to log in before you can comment on or make changes to this bug.